Bug 842516 - (CVE-2012-4048) CVE-2012-4048 wireshark: Out-of-bounds memory write in PPP dissector
CVE-2012-4048 wireshark: Out-of-bounds memory write in PPP dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120722,repor...
: Security
Depends On: 842531
Blocks: 842520
  Show dependency treegraph
 
Reported: 2012-07-24 01:20 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 17:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-24 01:20:47 EDT
An out-of-bounds memory write error was found in the wireshark PPP dissector. A remote attacker could use this flaw to cause wireshark executable to crash or, potentially, execute arbitrary code with the privileges of the user running wireshark. 

Reference:
http://www.wireshark.org/security/wnpa-sec-2012-11.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680056

Patch:
http://code.wireshark.org/git/?p=wireshark;a=commitdiff;h=1f37a8cf14ca63e7980694fc7807cb5a7d91dc97
Comment 2 Huzaifa S. Sidhpurwala 2012-07-24 02:13:12 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Huzaifa S. Sidhpurwala 2012-07-24 02:22:40 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 842531]

Note You need to log in before you can comment on or make changes to this bug.